Bug 198284 - Review Request: python-configobj - Config file reading, writing, and validation
Review Request: python-configobj - Config file reading, writing, and validation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189338
  Show dependency treegraph
 
Reported: 2006-07-10 16:41 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 11:08:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-07-10 16:41:09 EDT
Spec URL: http://people.redhat.com/lmacken/python-configobj.spec
SRPM URL: http://people.redhat.com/lmacken/python-configobj-4.3.2-1.src.rpm
Description:
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files. 
It has lots of other features though:
    * Nested sections (subsections), to any level
    * List values
    * Multiple line values
    * String interpolation (substitution)
    * Integrated with a powerful validation system
          o including automatic type checking/conversion
          o repeated sections
          o and allowing default values
    * All comments in the file are preserved
    * The order of keys/sections is preserved
    * No external dependencies
    * Full Unicode support
    * A powerful unrepr mode for storing basic datatypes
Comment 1 Aurelien Bompard 2006-07-17 15:10:54 EDT
* typo in the url (it's dl.sf.net, not ds.sf.net)
* add --single-version-externally-managed to the %install step, see
http://fedoraproject.org/wiki/Packaging/Python for more info
Comment 2 Luke Macken 2006-07-17 23:58:57 EDT
(In reply to comment #1)
> * typo in the url (it's dl.sf.net, not ds.sf.net)

fixed.

> * add --single-version-externally-managed to the %install step, see
> http://fedoraproject.org/wiki/Packaging/Python for more info

Looks like the setup.py doesn't support the flag:
     error: option --single-version-externally-managed not recognized
     error: Bad exit status from /var/tmp/rpm-tmp.90142 (%install)

http://people.redhat.com/lmacken/python-configobj-4.3.2-2.src.rpm
http://people.redhat.com/lmacken/python-configobj.spec
Comment 3 Aurelien Bompard 2006-07-19 03:36:11 EDT
Review for release 2:
* RPM name is OK
* Source configobj-4.3.2.zip is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine
* According to
http://peak.telecommunity.com/DevCenter/setuptools#install-command the
--single-version-externally-managed option is automatically switched on when the
--root option is used, so the guidelines are probably wrong here (or maybe it's
a new feature ?)

Anyway, APPROVED
Comment 4 Luke Macken 2006-07-19 11:08:44 EDT
Imported into CVS, added to owners.list, requested FC5 branch, tagged and built
for FC6.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.